Loading...
Searching...
No Matches
QGpgME::QGpgMEDecryptVerifyArchiveJob Class Reference
Inheritance diagram for QGpgME::QGpgMEDecryptVerifyArchiveJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEDecryptVerifyArchiveJob:
[legend]

## Public Member Functions

| QGpgMEDecryptVerifyArchiveJob (GpgME::Context *context)
GpgME::Error | start (const std::shared_ptr< QIODevice > &cipherText) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< DecryptVerifyArchiveJob, QGpgMEDecryptVerifyArchiveJobPrivate, std::tuple< GpgME::DecryptionResult, GpgME::VerificationResult, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::DecryptVerifyArchiveJob
void | setProcessAllSignatures (bool processAll)
bool | processAllSignatures () const
void | setInputFile (const QString &path)
QString | inputFile () const
void | setOutputDirectory (const QString &outputDirectory)
QString | outputDirectory () const
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< DecryptVerifyArchiveJob, QGpgMEDecryptVerifyArchiveJobPrivate, std::tuple< GpgME::DecryptionResult, GpgME::VerificationResult, QString, GpgME::Error > >
typedef ThreadedJobMixin< DecryptVerifyArchiveJob, QGpgMEDecryptVerifyArchiveJobPrivate, std::tuple< GpgME::DecryptionResult, GpgME::VerificationResult, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::DecryptionResult, GpgME::VerificationResult, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::DecryptVerifyArchiveJob
void | fileProgress (int current, int total)
void | dataProgress (int current, int total)
void | result (const GpgME::DecryptionResult &decryptionResult, const GpgME::VerificationResult &verificationResult, const QString &auditLogAsHtml={}, const GpgME::Error &auditLogError={})
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::DecryptVerifyArchiveJob
static bool | isSupported ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< DecryptVerifyArchiveJob, QGpgMEDecryptVerifyArchiveJobPrivate, std::tuple< GpgME::DecryptionResult, GpgME::VerificationResult, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::DecryptVerifyArchiveJob
| DecryptVerifyArchiveJob (std::unique_ptr< DecryptVerifyArchiveJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## start()

GpgME::Error QGpgMEDecryptVerifyArchiveJob::start | ( | const std::shared_ptr< QIODevice > & | cipherText | ) |

override virtual

Starts the decryption of an encrypted (and signed) archive.

Decrypts and extracts the encrypted archive in cipherText. If the archive is signed, then the signature is verified. If a non-empty output directory was set, then the content of the archive is extracted into this directory. Otherwise, it is extracted into a directory named `GPGARCH_n_` (where `n` is a number).

Emits result() when the job has finished.

Implements QGpgME::DecryptVerifyArchiveJob.

The documentation for this class was generated from the following files:

- qgpgmedecryptverifyarchivejob.h
- qgpgmedecryptverifyarchivejob.cpp